class SmartSceneEnable {
  final String entityId;
  final String actionExecutor;
  final String sceneORAutomationName;
  final bool isAutomation;
  final String type;

  SmartSceneEnable({
    required this.entityId,
    required this.actionExecutor,
    required this.sceneORAutomationName,
    required this.isAutomation,
    required this.type,
  });

  factory SmartSceneEnable.fromJson(Map<String, dynamic> json) {
    return SmartSceneEnable(
      entityId: json['entityId'],
      actionExecutor: json['actionExecutor'],
      sceneORAutomationName: json['sceneORAutomationName'],
      isAutomation: json['isAutomation'],
      type: json['type'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'entityId': entityId,
      'actionExecutor': actionExecutor,
      'sceneORAutomationName': sceneORAutomationName,
      'isAutomation': isAutomation,
      'type': type,
    };
  }
}
